Bug 1729354 - plasmashell segmentation fault in PlotSGNode::bind() at plotter.cpp:695 of kf5-kdeclarative-5.59.0-2.fc30 on Wayland
Summary: plasmashell segmentation fault in PlotSGNode::bind() at plotter.cpp:695 of kf...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 03:48 UTC by Matt Fagnani
Modified: 2020-05-26 16:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:08:05 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 409735 0 None None None 2019-07-12 03:48:37 UTC

Description Matt Fagnani 2019-07-12 03:48:37 UTC
Description of problem:

plasmashell segmentation faulted in PlotSGNode::bind() (this=0x0) at /usr/src/debug/kf5-kdeclarative-5.59.0-2.fc30.x86_64/src/qmlcontrols/kquickcontrolsaddons/plotter.cpp:695 in Plasma 5.15.5 on Wayland in Fedora 30.
I was trying to connect to an Asus rt-n12 router by ethernet which I hadn't used before. The DHCP request to the router timed out, and the connection wasn't made properly. The crash might be related to the notifications of the connection errors. I wasn't checking the plasma-nm applet at the time of the plasmashell crash. Since this=0x0 was in the trace and /usr/src/debug/kf5-kdeclarative-5.59.0-2.fc30.x86_64/src/qmlcontrols/kquickcontrolsaddons/plotter.cpp:695 was m_node->bind(); the segmentation fault might've involved a null pointer dereference. The functions in the crashing thread include ones in kdeclarative, qtbase, and qtdeclarative, so the problems might be in one of those libraries.


Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
futex_wait_cancelable (private=0, expected=0, futex_word=0x5598123adf04) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
88	  int err = lll_futex_timed_wait (futex_word, expected, NULL, private);
[Current thread is 1 (Thread 0x7f4fb21d7d00 (LWP 1509))]

Thread 24 (Thread 0x7f4f44ff9700 (LWP 1761)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559812c3b924) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559812c3b8d0, cond=0x559812c3b8f8) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559812c3b8f8, mutex=0x559812c3b8d0) at pthread_cond_wait.c:655
#3  0x00007f4fb0104283 in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x559812c3b8d0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f4fb0104283 in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x559812c42bd0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f4fb0104311 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x559812c42bd8, mutex=mutex@entry=0x559812c42bd0, time=time@entry=18446744073709551615) at ../../include/QtCore/../../src/corelib/kernel/qdeadlinetimer.h:68
#6  0x00007f4fb1ed6f59 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x559812c42bc8) at scenegraph/qsgthreadedrenderloop.cpp:245
#7  0x00007f4fb1ed6f59 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x559812c42b50) at scenegraph/qsgthreadedrenderloop.cpp:710
#8  0x00007f4fb1ed71fd in QSGRenderThread::run() (this=0x559812c42b50) at scenegraph/qsgthreadedrenderloop.cpp:739
#9  0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x559812c42b50) at thread/qthread_unix.cpp:361
#10 0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7f4f54f70700 (LWP 1760)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559812d08f68) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559812d08f18, cond=0x559812d08f40) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559812d08f40, mutex=0x559812d08f18) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559812d08f18, cond=0x559812d08f40) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559812cfd570) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7f4f457fa700 (LWP 1748)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x5598128cb910) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5598128cb8c0, cond=0x5598128cb8e8) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x5598128cb8e8, mutex=0x5598128cb8c0) at pthread_cond_wait.c:655
#3  0x00007f4fb0104283 in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x5598128cb8c0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f4fb0104283 in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x5598123a4d60, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f4fb0104311 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x5598123a4d68, mutex=mutex@entry=0x5598123a4d60, time=time@entry=18446744073709551615) at ../../include/QtCore/../../src/corelib/kernel/qdeadlinetimer.h:68
#6  0x00007f4fb1ed6f59 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x5598123a4d58) at scenegraph/qsgthreadedrenderloop.cpp:245
#7  0x00007f4fb1ed6f59 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x5598123a4ce0) at scenegraph/qsgthreadedrenderloop.cpp:710
#8  0x00007f4fb1ed71fd in QSGRenderThread::run() (this=0x5598123a4ce0) at scenegraph/qsgthreadedrenderloop.cpp:739
#9  0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x5598123a4ce0) at thread/qthread_unix.cpp:361
#10 0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f4f45ffb700 (LWP 1747)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x5598129930b8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559812993068, cond=0x559812993090) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559812993090, mutex=0x559812993068) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559812993068, cond=0x559812993090) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x7f4f4c0e6550) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f4f467fc700 (LWP 1746)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x5598127b37b0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5598127b3760, cond=0x5598127b3788) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x5598127b3788, mutex=0x5598127b3760) at pthread_cond_wait.c:655
#3  0x00007f4fb0104283 in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x5598127b3760) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f4fb0104283 in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x5598127d50f0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f4fb0104311 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x5598127d50f8, mutex=mutex@entry=0x5598127d50f0, time=time@entry=18446744073709551615) at ../../include/QtCore/../../src/corelib/kernel/qdeadlinetimer.h:68
#6  0x00007f4fb1ed6f59 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x5598127d50e8) at scenegraph/qsgthreadedrenderloop.cpp:245
#7  0x00007f4fb1ed6f59 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x5598127d5070) at scenegraph/qsgthreadedrenderloop.cpp:710
#8  0x00007f4fb1ed71fd in QSGRenderThread::run() (this=0x5598127d5070) at scenegraph/qsgthreadedrenderloop.cpp:739
#9  0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x5598127d5070) at thread/qthread_unix.cpp:361
#10 0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f4f46ffd700 (LWP 1745)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x55981287aeb8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55981287ae68, cond=0x55981287ae90) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x55981287ae90, mutex=0x55981287ae68) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x55981287ae68, cond=0x55981287ae90) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x55981286fc20) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f4f477fe700 (LWP 1734)):
[KCrash Handler]
#7  0x00007f4f88d38948 in PlotSGNode::bind() (this=0x0) at /usr/src/debug/kf5-kdeclarative-5.59.0-2.fc30.x86_64/src/qmlcontrols/kquickcontrolsaddons/plotter.cpp:695
#8  0x00007f4f88d38948 in Plotter::render() (this=0x559812751340) at /usr/src/debug/kf5-kdeclarative-5.59.0-2.fc30.x86_64/src/qmlcontrols/kquickcontrolsaddons/plotter.cpp:695
#9  0x00007f4fb02cfec0 in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7f4f477fdb80, r=0x559812751340, this=0x7f4f242378a0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#10 0x00007f4fb02cfec0 in QMetaObject::activate(QObject*, int, int, void**) (sender=0x559811875950, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3781
#11 0x00007f4fb1f2cbb4 in QQuickWindowPrivate::renderSceneGraph(QSize const&) (this=this@entry=0x55981186c2b0, size=...) at items/qquickwindow.cpp:462
#12 0x00007f4fb1ed33bf in QSGRenderThread::syncAndRender() (this=this@entry=0x5598124a2d30) at scenegraph/qsgthreadedrenderloop.cpp:646
#13 0x00007f4fb1ed7168 in QSGRenderThread::run() (this=0x5598124a2d30) at scenegraph/qsgthreadedrenderloop.cpp:730
#14 0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x5598124a2d30) at thread/qthread_unix.cpp:361
#15 0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#16 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f4f47fff700 (LWP 1733)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x55981255c748) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x55981255c6f8, cond=0x55981255c720) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x55981255c720, mutex=0x55981255c6f8) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x55981255c6f8, cond=0x55981255c720) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559812551630) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f4f5603e700 (LWP 1713)):
#0  0x00007f4fafd695c7 in __GI___poll (fds=fds@entry=0x7f4f5603da50, nfds=nfds@entry=1, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4fafb9eb7c in poll (__timeout=-1, __nfds=1, __fds=0x7f4f5603da50) at /usr/include/bits/poll2.h:46
#2  0x00007f4fafb9eb7c in wl_display_poll (display=display@entry=0x559810a2ea10, events=events@entry=1) at src/wayland-client.c:1713
#3  0x00007f4fafba063c in wl_display_dispatch_queue (queue=<optimized out>, display=<optimized out>) at src/wayland-client.c:1786
#4  0x00007f4fafba063c in wl_display_dispatch_queue (display=0x559810a2ea10, queue=0x7f4f4c004b10) at src/wayland-client.c:1759
#5  0x00007f4f9c4eda5c in dri2_wl_swap_buffers_with_damage (drv=<optimized out>, disp=0x559810d88e10, draw=0x7f4f4c004de0, rects=0x0, n_rects=0) at ../src/egl/drivers/dri2/platform_wayland.c:973
#6  0x00007f4f9c4dceb6 in eglSwapBuffers (dpy=0x559810d88e10, surface=<optimized out>) at ../src/egl/main/eglapi.c:1278
#7  0x00007f4f9c572f10 in QtWaylandClient::QWaylandGLContext::swapBuffers(QPlatformSurface*) (this=0x559811f6b400, surface=<optimized out>) at ../../../../hardwareintegration/client/wayland-egl/qwaylandglcontext.cpp:569
#8  0x00007f4fb06b4441 in QOpenGLContext::swapBuffers(QSurface*) (this=0x559811f6b540, surface=<optimized out>) at kernel/qopenglcontext.cpp:1115
#9  0x00007f4fb1ed3401 in QSGRenderThread::syncAndRender() (this=this@entry=0x5598121f8120) at scenegraph/qsgthreadedrenderloop.cpp:652
#10 0x00007f4fb1ed7168 in QSGRenderThread::run() (this=0x5598121f8120) at scenegraph/qsgthreadedrenderloop.cpp:730
#11 0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x5598121f8120) at thread/qthread_unix.cpp:361
#12 0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#13 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f4f5733e700 (LWP 1712)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x5598122ab7a8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5598122ab758, cond=0x5598122ab780) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x5598122ab780, mutex=0x5598122ab758) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x5598122ab758, cond=0x5598122ab780) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x55981229ff70) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f4f57c78700 (LWP 1693)):
#0  0x00007f4fae93973e in g_ptr_array_set_size (array=0x7f4f60003260, length=length@entry=0) at ../glib/garray.c:1204
#1  0x00007f4fae968652 in g_main_context_prepare (context=context@entry=0x7f4f50000bf0, priority=priority@entry=0x7f4f57c77b90) at ../glib/gmain.c:3470
#2  0x00007f4fae96910b in g_main_context_iterate (context=context@entry=0x7f4f50000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3907
#3  0x00007f4fae969313 in g_main_context_iteration (context=0x7f4f50000bf0, may_block=may_block@entry=1) at ../glib/gmain.c:3988
#4  0x00007f4fb02fabf3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4f50000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f4fb02a49eb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4f57c77ce0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f4fb00fd635 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f4f684beb3c in KCupsConnection::run() () at /lib64/libkcupslib.so
#8  0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x559811e1cf10) at thread/qthread_unix.cpp:361
#9  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f4f6affd700 (LWP 1676)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559810ab63d0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559810ab6380, cond=0x559810ab63a8) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559810ab63a8, mutex=0x559810ab6380) at pthread_cond_wait.c:655
#3  0x00007f4fb0104283 in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x559810ab6380) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f4fb0104283 in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x559810ab9d90, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f4fb0104311 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x559810ab9d98, mutex=mutex@entry=0x559810ab9d90, time=time@entry=18446744073709551615) at ../../include/QtCore/../../src/corelib/kernel/qdeadlinetimer.h:68
#6  0x00007f4fb1ed6f59 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x559810ab9d88) at scenegraph/qsgthreadedrenderloop.cpp:245
#7  0x00007f4fb1ed6f59 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x559810ab9d10) at scenegraph/qsgthreadedrenderloop.cpp:710
#8  0x00007f4fb1ed71fd in QSGRenderThread::run() (this=0x559810ab9d10) at scenegraph/qsgthreadedrenderloop.cpp:739
#9  0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x559810ab9d10) at thread/qthread_unix.cpp:361
#10 0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#11 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f4f6b7fe700 (LWP 1675)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x5598114724a8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559811472458, cond=0x559811472480) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559811472480, mutex=0x559811472458) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559811472458, cond=0x559811472480) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559811466dc0) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f4f6bfff700 (LWP 1674)):
#0  0x00007f4fafd6508c in __GI___libc_read (nbytes=16, buf=0x7f4f6bffeab0, fd=18) at ../sysdeps/unix/sysv/linux/read.c:26
#1  0x00007f4fafd6508c in __GI___libc_read (fd=18, buf=buf@entry=0x7f4f6bffeab0, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f4fae9b070f in read (__nbytes=16, __buf=0x7f4f6bffeab0, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#3  0x00007f4fae9b070f in g_wakeup_acknowledge (wakeup=0x7f4f900039a0) at ../glib/gwakeup.c:210
#4  0x00007f4fae968d27 in g_main_context_check (context=context@entry=0x7f4f64000bf0, max_priority=2147483647, fds=fds@entry=0x7f4f640050d0, n_fds=n_fds@entry=1) at ../glib/gmain.c:3705
#5  0x00007f4fae969182 in g_main_context_iterate (context=context@entry=0x7f4f64000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3924
#6  0x00007f4fae969313 in g_main_context_iteration (context=0x7f4f64000bf0, may_block=may_block@entry=1) at ../glib/gmain.c:3988
#7  0x00007f4fb02fabf3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4f64000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#8  0x00007f4fb02a49eb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4f6bffece0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#9  0x00007f4fb00fd635 in QThread::exec() (this=this@entry=0x7f4f9800bb90) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#10 0x00007f4fb1e4ae4a in QQuickPixmapReader::run() (this=0x7f4f9800bb90) at util/qquickpixmapcache.cpp:953
#11 0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x7f4f9800bb90) at thread/qthread_unix.cpp:361
#12 0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#13 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f4f8b1ff700 (LWP 1673)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559810dd4280) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559810dd4230, cond=0x559810dd4258) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559810dd4258, mutex=0x559810dd4230) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559810dd4230, cond=0x559810dd4258) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559810dd7380) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f4f8ba00700 (LWP 1672)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559810dd4280) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559810dd4230, cond=0x559810dd4258) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559810dd4258, mutex=0x559810dd4230) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559810dd4230, cond=0x559810dd4258) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559810dd7160) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f4f949c5700 (LWP 1671)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559810dd3d04) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559810dd3cb0, cond=0x559810dd3cd8) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559810dd3cd8, mutex=0x559810dd3cb0) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559810dd3cb0, cond=0x559810dd3cd8) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559810dd4880) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f4f951c6700 (LWP 1670)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559810dd3d04) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559810dd3cb0, cond=0x559810dd3cd8) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559810dd3cd8, mutex=0x559810dd3cb0) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559810dd3cb0, cond=0x559810dd3cd8) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559810dd5aa0) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f4f959c7700 (LWP 1669)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559810dd3d04) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559810dd3cb0, cond=0x559810dd3cd8) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559810dd3cd8, mutex=0x559810dd3cb0) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559810dd3cb0, cond=0x559810dd3cd8) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559810dd5880) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f4f961c8700 (LWP 1668)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559810dd45a8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559810dd4558, cond=0x559810dd4580) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559810dd4580, mutex=0x559810dd4558) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559810dd4558, cond=0x559810dd4580) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559810dd51c0) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f4f971d0700 (LWP 1667)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x559810dd0710) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x559810dd06c0, cond=0x559810dd06e8) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x559810dd06e8, mutex=0x559810dd06c0) at pthread_cond_wait.c:655
#3  0x00007f4f97954f9b in cnd_wait (mtx=0x559810dd06c0, cond=0x559810dd06e8) at ../src/../include/c11/threads_posix.h:155
#4  0x00007f4f97954f9b in util_queue_thread_func (input=input@entry=0x559810dcecf0) at ../src/util/u_queue.c:270
#5  0x00007f4f97954cdb in impl_thrd_routine (p=<optimized out>) at ../src/../include/c11/threads_posix.h:87
#6  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#7  0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f4f9db28700 (LWP 1666)):
#0  0x00007f4fafd695c7 in __GI___poll (fds=0x7f4f90004e30, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4fae9691de in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f4f90004e30, timeout=<optimized out>, context=0x7f4f90000bf0) at ../glib/gmain.c:4228
#2  0x00007f4fae9691de in g_main_context_iterate (context=context@entry=0x7f4f90000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3922
#3  0x00007f4fae969313 in g_main_context_iteration (context=0x7f4f90000bf0, may_block=may_block@entry=1) at ../glib/gmain.c:3988
#4  0x00007f4fb02fabf3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4f90000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f4fb02a49eb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4f9db27d00, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f4fb00fd635 in QThread::exec() (this=this@entry=0x559810ab5c30) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f4fb1b62a69 in QQmlThreadPrivate::run() (this=0x559810ab5c30) at qml/ftw/qqmlthread.cpp:148
#8  0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x559810ab5c30) at thread/qthread_unix.cpp:361
#9  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f4f9ed70700 (LWP 1536)):
#0  0x00007f4fafd695c7 in __GI___poll (fds=0x7f4f98005260, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f4fae9691de in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f4f98005260, timeout=<optimized out>, context=0x7f4f98000bf0) at ../glib/gmain.c:4228
#2  0x00007f4fae9691de in g_main_context_iterate (context=context@entry=0x7f4f98000bf0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3922
#3  0x00007f4fae969313 in g_main_context_iteration (context=0x7f4f98000bf0, may_block=may_block@entry=1) at ../glib/gmain.c:3988
#4  0x00007f4fb02fabf3 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f4f98000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f4fb02a49eb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f4f9ed6fcf0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f4fb00fd635 in QThread::exec() (this=this@entry=0x7f4fb0b9c060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f4fb0b18f4a in QDBusConnectionManager::run() (this=0x7f4fb0b9c060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#8  0x00007f4fb00fe786 in QThreadPrivate::start(void*) (arg=0x7f4fb0b9c060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:361
#9  0x00007f4faf5615a2 in start_thread (arg=<optimized out>) at pthread_create.c:486
#10 0x00007f4fafd74303 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f4fb21d7d00 (LWP 1509)):
#0  0x00007f4faf5674d5 in futex_wait_cancelable (private=0, expected=0, futex_word=0x5598123adf04) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f4faf5674d5 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5598123adeb0, cond=0x5598123aded8) at pthread_cond_wait.c:502
#2  0x00007f4faf5674d5 in __pthread_cond_wait (cond=0x5598123aded8, mutex=0x5598123adeb0) at pthread_cond_wait.c:655
#3  0x00007f4fb0104283 in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x5598123adeb0) at thread/qwaitcondition_unix.cpp:146
#4  0x00007f4fb0104283 in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x5598124a2d70, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f4fb0104311 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x5598124a2d78, mutex=0x5598124a2d70, time=time@entry=18446744073709551615) at ../../include/QtCore/../../src/corelib/kernel/qdeadlinetimer.h:68
#6  0x00007f4fb1ed54f1 in QSGThreadedRenderLoop::polishAndSync(QSGThreadedRenderLoop::Window*, bool) (this=this@entry=0x559810d83d80, w=0x559810ae0410, inExpose=inExpose@entry=false) at scenegraph/qsgthreadedrenderloop.cpp:1217
#7  0x00007f4fb1ed60e4 in QSGThreadedRenderLoop::handleUpdateRequest(QQuickWindow*) (this=0x559810d83d80, window=0x559811875950) at scenegraph/qsgthreadedrenderloop.cpp:1042
#8  0x00007f4fb1f3974c in QQuickWindow::event(QEvent*) (this=0x559811875950, e=0x7ffd5acf2f80) at items/qquickwindow.cpp:1668
#9  0x00007f4fb26ee603 in PlasmaQuick::Dialog::event(QEvent*) () at /lib64/libKF5PlasmaQuick.so.5
#10 0x00007f4fb0da8af6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x559810a269a0, receiver=receiver@entry=0x559811875950, e=e@entry=0x7ffd5acf2f80) at kernel/qapplication.cpp:3737
#11 0x00007f4fb0db1e80 in QApplication::notify(QObject*, QEvent*) (this=0x7ffd5acf3680, receiver=0x559811875950, e=0x7ffd5acf2f80) at kernel/qapplication.cpp:3483
#12 0x00007f4fb02a5ae8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x559811875950, event=0x7ffd5acf2f80) at kernel/qcoreapplication.cpp:1084
#13 0x00007f4fb066c25d in QPlatformWindow::deliverUpdateRequest() (this=<optimized out>) at kernel/qplatformwindow.cpp:793
#14 0x00007f4f9f30ec2e in QtWaylandClient::QWaylandWindow::<lambda()>::operator() (__closure=<optimized out>, __closure=<optimized out>) at qwaylandwindow.cpp:642
#15 0x00007f4f9f30ec2e in QtWaylandClient::QWaylandWindow::<lambda()>::operator() (__closure=<synthetic pointer>, __closure=<synthetic pointer>) at qwaylandwindow.cpp:633
#16 0x00007f4f9f30ec2e in QtWaylandClient::QWaylandWindow::handleFrameCallback() (this=0x55981193a2e0) at qwaylandwindow.cpp:648
#17 0x00007f4fae8ffb28 in ffi_call_unix64 () at ../src/x86/unix64.S:76
#18 0x00007f4fae8ff339 in ffi_call (cif=cif@entry=0x7ffd5acf3130, fn=<optimized out>, rvalue=<optimized out>, rvalue@entry=0x0, avalue=avalue@entry=0x7ffd5acf3200) at ../src/x86/ffi64.c:525
#19 0x00007f4fafba2607 in wl_closure_invoke (closure=closure@entry=0x7f4f4c041690, flags=flags@entry=1, target=<optimized out>, target@entry=0x7f4f242b3dc0, opcode=opcode@entry=0, data=<optimized out>) at src/connection.c:1014
#20 0x00007f4fafb9ef18 in dispatch_event (display=display@entry=0x559810a2ea10, queue=<optimized out>) at src/wayland-client.c:1430
#21 0x00007f4fafba046c in dispatch_queue (queue=0x559810a2ead8, display=0x559810a2ea10) at src/wayland-client.c:1576
#22 0x00007f4fafba046c in wl_display_dispatch_queue_pending (display=0x559810a2ea10, queue=0x559810a2ead8) at src/wayland-client.c:1818
#23 0x00007f4fafba04d0 in wl_display_dispatch_pending (display=<optimized out>) at src/wayland-client.c:1881
#24 0x00007f4f9f30a3be in QtWaylandClient::QWaylandDisplay::flushRequests() (this=0x559810a1bd70) at qwaylanddisplay.cpp:187
#25 0x00007f4fb02cfd7b in QMetaObject::activate(QObject*, int, int, void**) (sender=0x559810a455e0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3801
#26 0x00007f4fb02fac17 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x559810a455e0, flags=...) at kernel/qeventdispatcher_glib.cpp:429
#27 0x00007f4fb02a49eb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffd5acf3570, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#28 0x00007f4fb02ac726 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#29 0x000055980fdde809 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma-workspace-5.15.5-1.fc30.x86_64/shell/main.cpp:212
[Inferior 1 (process 1509) detached]

Version-Release number of selected component (if applicable):
plasma-desktop-0:5.15.5-1.fc30.x86_64
plasma-nm-0:5.15.5-1.fc30.x86_64
plasma-pk-updates-0:0.3.2-3.fc30.x86_64
kf5-kdeclarative-0:5.59.0-2.fc30.x86_64
qt5-qtbase-0:5.12.4-1.fc30.x86_64
qt5-qtdeclarative-0:5.12.4-1.fc30.x86_64
qt5-qtwayland-0:5.12.4-3.fc30.x86_64
libdnf-0.35.1-1.fc30
PackageKit-0:1.1.12-5.fc30.x86_64

How reproducible:
I saw a plasmashell crash with this trace once, but plasmashell crashed other times without drkonqi, coredumpctl, or abrt showing anything.

Steps to Reproduce:
1. Boot Fedora 30 KDE Plasma spin fully updated with updates-testing repository enabled
2. Log in to Plasma on Wayland from sddm
3. update to dnf-4.2.7-1.fc30 and libdnf-0.35.1-1.fc30 from bodhi or koji. https://bodhi.fedoraproject.org/updates/FEDORA-2019-58c2d3f1aa
4. Try to connect to a router which times out during dhcp request and doesn't properly establish a connection.

Actual results:
plasmashell segmentation fault in PlotSGNode::bind()

Expected results:
no plasmashell crash

Additional info:

A segmentation fault in packagekitd happened at about the same time as the plasmashell crash. I'd seen this packagekitd crash 9 out of about 70 times that packagekitd had quit since I upgraded to libdnf-0.35.1-1, but no plasmashell crashes occurred at the same time as the packagekitd ones from what I can see.
I wasn't checking for updates using the plasma updates applet or plasma discover at the time of the crashes. I reported the packagekitd crashes at https://bugzilla.redhat.com/show_bug.cgi?id=1727343

I reported this issue at https://bugs.kde.org/show_bug.cgi?id=409735

Comment 1 Ben Cotton 2020-04-30 21:34:43 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:08:05 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.